type UtilityMap<T> = phf::OrderedMap<&'static str, (fn(T) -> i32, fn() -> Command)>;

#[allow(clippy::too_many_lines)]
         fn util_map<T: uucore::Args>() -> UtilityMap<T> {
::phf::OrderedMap {
    key: 12913932095322966823,
    disps: &[
        (6, 102),
        (0, 5),
        (4, 1),
        (3, 62),
        (3, 44),
        (0, 18),
        (2, 0),
        (1, 0),
        (2, 0),
        (0, 46),
        (24, 54),
        (0, 2),
        (0, 62),
        (0, 4),
        (0, 7),
        (65, 37),
        (0, 84),
        (0, 8),
        (3, 31),
        (0, 49),
        (2, 28),
        (0, 4),
        (0, 5),
    ],
    idxs: &[
        55,
        46,
        110,
        51,
        58,
        30,
        32,
        25,
        12,
        23,
        8,
        111,
        94,
        80,
        101,
        61,
        86,
        90,
        109,
        43,
        95,
        78,
        97,
        5,
        0,
        17,
        87,
        112,
        67,
        16,
        34,
        89,
        79,
        74,
        83,
        88,
        93,
        77,
        13,
        44,
        102,
        42,
        1,
        19,
        108,
        53,
        68,
        20,
        28,
        18,
        22,
        3,
        50,
        21,
        96,
        10,
        73,
        113,
        65,
        9,
        63,
        2,
        52,
        106,
        70,
        37,
        62,
        26,
        36,
        41,
        114,
        7,
        48,
        14,
        64,
        6,
        31,
        45,
        60,
        72,
        39,
        59,
        107,
        76,
        29,
        4,
        33,
        15,
        91,
        81,
        71,
        99,
        56,
        98,
        69,
        49,
        104,
        84,
        105,
        103,
        40,
        24,
        11,
        47,
        54,
        85,
        57,
        66,
        100,
        38,
        92,
        82,
        35,
        27,
        75,
    ],
    entries: &[
        ("arch", (arch::uumain, arch::uu_app)),
        ("base32", (base32::uumain, base32::uu_app)),
        ("base64", (base64::uumain, base64::uu_app)),
        ("basename", (basename::uumain, basename::uu_app)),
        ("basenc", (basenc::uumain, basenc::uu_app)),
        ("cat", (cat::uumain, cat::uu_app)),
        ("chgrp", (chgrp::uumain, chgrp::uu_app)),
        ("chmod", (chmod::uumain, chmod::uu_app)),
        ("chown", (chown::uumain, chown::uu_app)),
        ("chroot", (chroot::uumain, chroot::uu_app)),
        ("cksum", (cksum::uumain, cksum::uu_app)),
        ("comm", (comm::uumain, comm::uu_app)),
        ("cp", (cp::uumain, cp::uu_app)),
        ("csplit", (csplit::uumain, csplit::uu_app)),
        ("cut", (cut::uumain, cut::uu_app)),
        ("date", (date::uumain, date::uu_app)),
        ("dd", (dd::uumain, dd::uu_app)),
        ("df", (df::uumain, df::uu_app)),
        ("dir", (dir::uumain, dir::uu_app)),
        ("dircolors", (dircolors::uumain, dircolors::uu_app)),
        ("dirname", (dirname::uumain, dirname::uu_app)),
        ("du", (du::uumain, du::uu_app)),
        ("echo", (echo::uumain, echo::uu_app)),
        ("env", (env::uumain, env::uu_app)),
        ("expand", (expand::uumain, expand::uu_app)),
        ("expr", (expr::uumain, expr::uu_app)),
        ("factor", (factor::uumain, factor::uu_app)),
        ("false", (r#false::uumain, r#false::uu_app)),
        ("fmt", (fmt::uumain, fmt::uu_app)),
        ("fold", (fold::uumain, fold::uu_app)),
        ("groups", (groups::uumain, groups::uu_app)),
        ("hashsum", (hashsum::uumain, hashsum::uu_app_custom)),
        ("md5sum", (hashsum::uumain, hashsum::uu_app_common)),
        ("sha1sum", (hashsum::uumain, hashsum::uu_app_common)),
        ("sha224sum", (hashsum::uumain, hashsum::uu_app_common)),
        ("sha256sum", (hashsum::uumain, hashsum::uu_app_common)),
        ("sha384sum", (hashsum::uumain, hashsum::uu_app_common)),
        ("sha512sum", (hashsum::uumain, hashsum::uu_app_common)),
        ("sha3sum", (hashsum::uumain, hashsum::uu_app_bits)),
        ("sha3-224sum", (hashsum::uumain, hashsum::uu_app_common)),
        ("sha3-256sum", (hashsum::uumain, hashsum::uu_app_common)),
        ("sha3-384sum", (hashsum::uumain, hashsum::uu_app_common)),
        ("sha3-512sum", (hashsum::uumain, hashsum::uu_app_common)),
        ("shake128sum", (hashsum::uumain, hashsum::uu_app_bits)),
        ("shake256sum", (hashsum::uumain, hashsum::uu_app_bits)),
        ("b2sum", (hashsum::uumain, hashsum::uu_app_common)),
        ("b3sum", (hashsum::uumain, hashsum::uu_app_b3sum)),
        ("head", (head::uumain, head::uu_app)),
        ("hostid", (hostid::uumain, hostid::uu_app)),
        ("hostname", (hostname::uumain, hostname::uu_app)),
        ("id", (id::uumain, id::uu_app)),
        ("install", (install::uumain, install::uu_app)),
        ("join", (join::uumain, join::uu_app)),
        ("kill", (kill::uumain, kill::uu_app)),
        ("link", (link::uumain, link::uu_app)),
        ("ln", (ln::uumain, ln::uu_app)),
        ("logname", (logname::uumain, logname::uu_app)),
        ("ls", (ls::uumain, ls::uu_app)),
        ("mkdir", (mkdir::uumain, mkdir::uu_app)),
        ("mkfifo", (mkfifo::uumain, mkfifo::uu_app)),
        ("mknod", (mknod::uumain, mknod::uu_app)),
        ("mktemp", (mktemp::uumain, mktemp::uu_app)),
        ("more", (more::uumain, more::uu_app)),
        ("mv", (mv::uumain, mv::uu_app)),
        ("nice", (nice::uumain, nice::uu_app)),
        ("nl", (nl::uumain, nl::uu_app)),
        ("nohup", (nohup::uumain, nohup::uu_app)),
        ("nproc", (nproc::uumain, nproc::uu_app)),
        ("numfmt", (numfmt::uumain, numfmt::uu_app)),
        ("od", (od::uumain, od::uu_app)),
        ("paste", (paste::uumain, paste::uu_app)),
        ("pathchk", (pathchk::uumain, pathchk::uu_app)),
        ("pinky", (pinky::uumain, pinky::uu_app)),
        ("pr", (pr::uumain, pr::uu_app)),
        ("printenv", (printenv::uumain, printenv::uu_app)),
        ("printf", (printf::uumain, printf::uu_app)),
        ("ptx", (ptx::uumain, ptx::uu_app)),
        ("pwd", (pwd::uumain, pwd::uu_app)),
        ("readlink", (readlink::uumain, readlink::uu_app)),
        ("realpath", (realpath::uumain, realpath::uu_app)),
        ("rm", (rm::uumain, rm::uu_app)),
        ("rmdir", (rmdir::uumain, rmdir::uu_app)),
        ("seq", (seq::uumain, seq::uu_app)),
        ("shred", (shred::uumain, shred::uu_app)),
        ("shuf", (shuf::uumain, shuf::uu_app)),
        ("sleep", (sleep::uumain, sleep::uu_app)),
        ("sort", (sort::uumain, sort::uu_app)),
        ("split", (split::uumain, split::uu_app)),
        ("stat", (stat::uumain, stat::uu_app)),
        ("stdbuf", (stdbuf::uumain, stdbuf::uu_app)),
        ("sum", (sum::uumain, sum::uu_app)),
        ("sync", (sync::uumain, sync::uu_app)),
        ("tac", (tac::uumain, tac::uu_app)),
        ("tail", (tail::uumain, tail::uu_app)),
        ("tee", (tee::uumain, tee::uu_app)),
        ("timeout", (timeout::uumain, timeout::uu_app)),
        ("touch", (touch::uumain, touch::uu_app)),
        ("tr", (tr::uumain, tr::uu_app)),
        ("true", (r#true::uumain, r#true::uu_app)),
        ("truncate", (truncate::uumain, truncate::uu_app)),
        ("tsort", (tsort::uumain, tsort::uu_app)),
        ("tty", (tty::uumain, tty::uu_app)),
        ("uname", (uname::uumain, uname::uu_app)),
        ("unexpand", (unexpand::uumain, unexpand::uu_app)),
        ("uniq", (uniq::uumain, uniq::uu_app)),
        ("unlink", (unlink::uumain, unlink::uu_app)),
        ("uptime", (uptime::uumain, uptime::uu_app)),
        ("users", (users::uumain, users::uu_app)),
        ("test", (uu_test::uumain, uu_test::uu_app)),
        ("[", (uu_test::uumain, uu_test::uu_app)),
        ("vdir", (vdir::uumain, vdir::uu_app)),
        ("wc", (wc::uumain, wc::uu_app)),
        ("who", (who::uumain, who::uu_app)),
        ("whoami", (whoami::uumain, whoami::uu_app)),
        ("yes", (yes::uumain, yes::uu_app)),
    ],
}
}
